Summary: Low-level library for netfilter related kernel/userspace communication
Name: libnfnetlink
Version: 1.0.1
Release: r0.0
License: GPLv2+
Group: devel/libs
Packager: Wind River <info@windriver.com>
URL: http://www.netfilter.org/projects/libnfnetlink/index.html
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/powerpc-wrs-linux-gcc
BuildRequires: gnu-config-native
BuildRequires: virtual/libc
BuildRequires: virtual/powerpc-wrs-linux-compilerlibs
BuildRequires: automake-native

%description
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.

%package -n libnfnetlink-dbg
Summary: Low-level library for netfilter related kernel/userspace communication - Debugging files
Group: devel
Suggests: libc6-dbg(ppce5500)
Recommends: libnfnetlink0(ppce5500) = 1.0.1-r0.0
Provides: libnfnetlink-dbg(ppce5500) = 1.0.1-r0.0

%description -n libnfnetlink-dbg
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n libnfnetlink-staticdev
Summary: Low-level library for netfilter related kernel/userspace communication - Development files (Static Libraries)
Group: devel
Requires: libnfnetlink-dev(ppce5500) = 1.0.1-r0.0

%description -n libnfnetlink-staticdev
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.  This package contains static libraries for
software development.

%package -n libnfnetlink-dev
Summary: Low-level library for netfilter related kernel/userspace communication - Development files
Group: devel
Requires: libnfnetlink0(ppce5500) = 1.0.1-r0.0
Suggests: libc6-dev(ppce5500)
Provides: libnfnetlink-dev(ppce5500) = 1.0.1-r0.0

%description -n libnfnetlink-dev
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n libnfnetlink-doc
Summary: Low-level library for netfilter related kernel/userspace communication - Documentation files
Group: doc

%description -n libnfnetlink-doc
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.  This package contains documentation.

%package -n libnfnetlink-locale
Summary: Low-level library for netfilter related kernel/userspace communication
Group: devel/libs

%description -n libnfnetlink-locale
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.

%package -n libnfnetlink0
Summary: Low-level library for netfilter related kernel/userspace communication
Group: devel/libs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)
Requires: libc6 >= 2.18+4.8
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.0)
Requires(post): libc.so.6
Requires(post): libc.so.6(GLIBC_2.4)
Requires(post): libc6 >= 2.18+4.8
Provides: libnfnetlink.so.0
Provides: libnfnetlink0(ppce5500) = 1.0.1-r0.0

%description -n libnfnetlink0
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.

%post -n libnfnetlink0
# libnfnetlink0 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libnfnetlink-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib"
%dir "/usr/src"
%dir "/usr/lib/.debug"
"/usr/lib/.debug/libnfnetlink.so.0.2.0"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libnfnetlink"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/libnfnetlink"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/linux_list.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/libnfnetlink/linux_nfnetlink.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/libnfnetlink/linux_nfnetlink_compat.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/libnfnetlink/libnfnetlink.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src/libnfnetlink.c"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src/rtnl.c"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src/rtnl.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src/iftable.c"

%files -n libnfnetlink-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib"
%dir "/usr/include/libnfnetlink"
"/usr/include/libnfnetlink/linux_nfnetlink.h"
"/usr/include/libnfnetlink/linux_nfnetlink_compat.h"
"/usr/include/libnfnetlink/libnfnetlink.h"
%dir "/usr/lib/pkgconfig"
"/usr/lib/libnfnetlink.la"
"/usr/lib/libnfnetlink.so"
"/usr/lib/pkgconfig/libnfnetlink.pc"

%files -n libnfnetlink0
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib"
"/usr/lib/libnfnetlink.so.0.2.0"
"/usr/lib/libnfnetlink.so.0"

